## ide-pattern-spec ide-pattern-spec |

## Functions

IdePatternSpec * | ide_pattern_spec_new ()
IdePatternSpec * | ide_pattern_spec_ref ()
void | ide_pattern_spec_unref ()
gboolean | ide_pattern_spec_match ()
const gchar * | ide_pattern_spec_get_text ()

## Object Hierarchy

        GBoxed
        ╰── IdePatternSpec

## Description

## Functions

### ide_pattern_spec_new ()

    IdePatternSpec *
    ide_pattern_spec_new (const gchar *keywords);

### ide_pattern_spec_ref ()

    IdePatternSpec *
    ide_pattern_spec_ref (IdePatternSpec *self);

### ide_pattern_spec_unref ()

    void
    ide_pattern_spec_unref (IdePatternSpec *self);

### ide_pattern_spec_match ()

    gboolean
    ide_pattern_spec_match (IdePatternSpec *self,
                            const gchar *haystack);

### ide_pattern_spec_get_text ()

    const gchar *
    ide_pattern_spec_get_text (IdePatternSpec *self);

## Types and Values